com.io7m.r2.filters

## Interface R2FilterEmissionParametersType

- All Known Implementing Classes:
    R2FilterEmissionParameters

      public interface R2FilterEmissionParametersType

  The type of parameters for emission filters.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2Texture2DUsableType` | `albedoEmissionMap()`
    `Optional<R2BlurParameters>` | `blurParameters()`
    `default float` | `emissionIntensity()` A specification of an intensity value by which values sampled from the `albedoEmissionMap()` are multiplied.
    `default float` | `glowIntensity()` A specification of an intensity value by which values sampled from any produced glow maps are multiplied.
    `Optional<com.io7m.jcanephora.core.JCGLFramebufferUsableType>` | `outputFramebuffer()`
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `outputViewport()`
    `default float` | `scale()` If blurring is to be used, the value returned here specifies the scale at which the intermediate emissive step is rendered.
    `R2TextureDefaultsType` | `textureDefaults()`

- - ### Method Detail

    - #### textureDefaults

          R2TextureDefaultsType textureDefaults()

      Returns:
        A reference to the default textures

    - #### outputFramebuffer

          Optional<com.io7m.jcanephora.core.JCGLFramebufferUsableType> outputFramebuffer()

      Returns:
        The framebuffer to which the output will be written. If no framebuffer is specified, the output will go to the default framebuffer.

    - #### outputViewport

          com.io7m.jareas.core.AreaInclusiveUnsignedLType outputViewport()

      Returns:
        The viewport for the output framebuffer

    - #### albedoEmissionMap

          R2Texture2DUsableType albedoEmissionMap()

      Returns:
        A texture with the surface albedo in the `(r, g, b)` components and the emission level in the alpha component.

    - #### emissionIntensity

          default float emissionIntensity()

      A specification of an intensity value by which values sampled from the `albedoEmissionMap()` are multiplied. This effectively allows control over the intensity of the emission effect in the final image.
      Returns:
        The intensity of the emissive sections of the image

    - #### glowIntensity

          default float glowIntensity()

      A specification of an intensity value by which values sampled from any produced glow maps are multiplied. This effectively allows control over the intensity of the glow effect in the final image.
      Returns:
        The intensity of the glow sections of the image

    - #### blurParameters

          Optional<R2BlurParameters> blurParameters()

      Returns:
        The blur parameters, if blurring is to be used

    - #### scale

          default float scale()

      If blurring is to be used, the value returned here specifies the scale at which the intermediate emissive step is rendered. If blurring is not going to be used, the emission image is simply blended into the existing framebuffer without any intermediate framebuffers, and therefore the scale value given here is ignored.
      Returns:
        The scale to use for unblurred intermediate framebuffers

Copyright © 2017 <code@io7m.com> http://io7m.com